<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>POIXMLProperties (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="POIXMLProperties (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLFactory.html" title="class in org.apache.poi.ooxml"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ooxml/POIXMLProperties.html" target="_top">Frames</a></li>
        <li><a href="POIXMLProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ooxml</div>
    <h2 title="Class POIXMLProperties" class="title">Class POIXMLProperties</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ooxml.POIXMLProperties</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">POIXMLProperties</span>
extends java.lang.Object</pre>
                <div class="block">Wrapper around the three different kinds of OOXML properties
                    and metadata a document can have (Core, Extended and Custom),
                    as well Thumbnails.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CoreProperties</a></span></code>
                                    <div class="block">The core document properties</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CustomProperties</a></span></code>
                                    <div class="block">Custom document properties</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.ExtendedProperties</a></span></code>
                                    <div class="block">Extended document properties</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#POIXMLProperties-org.apache.poi.openxml4j.opc.OPCPackage-">POIXMLProperties</a></span>(<a
                                        href="../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;docPackage)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#commit--">commit</a></span>()</code>
                                    <div class="block">Commit changes to the underlying OPC package</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CoreProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#getCoreProperties--">getCoreProperties</a></span>()</code>
                                    <div class="block">Returns the core document properties</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CustomProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#getCustomProperties--">getCustomProperties</a></span>()</code>
                                    <div class="block">Returns the custom document properties</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.ExtendedProperties</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#getExtendedProperties--">getExtendedProperties</a></span>()</code>
                                    <div class="block">Returns the extended document properties</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#getThumbnailFilename--">getThumbnailFilename</a></span>()</code>
                                    <div class="block">Returns the name of the Document thumbnail, eg
                                        <code>thumbnail.jpeg</code>, or <code>null</code> if there
                                        isn't one.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#getThumbnailImage--">getThumbnailImage</a></span>()</code>
                                    <div class="block">Returns the Document thumbnail image data, or <code>null</code>
                                        if there isn't one.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#getThumbnailPart--">getThumbnailPart</a></span>()</code>
                                    <div class="block">Returns the <a
                                            href="../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                            title="class in org.apache.poi.openxml4j.opc"><code>PackagePart</code></a>
                                        for the Document
                                        Thumbnail, or <code>null</code> if there isn't one
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.html#setThumbnail-java.lang.String-java.io.InputStream-">setThumbnail</a></span>(java.lang.String&nbsp;filename,
                                    java.io.InputStream&nbsp;imageData)</code>
                                    <div class="block">Sets the Thumbnail for the document, replacing any existing
                                        one.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="POIXMLProperties-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>POIXMLProperties</h4>
                                <pre>public&nbsp;POIXMLProperties(<a
                                        href="../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;docPackage)
                 throws java.io.IOException,
                        <a href="../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                           title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>,
                        org.apache.xmlbeans.XmlException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                            title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a></code>
                                    </dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCoreProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCoreProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CoreProperties</a>&nbsp;getCoreProperties()</pre>
                                <div class="block">Returns the core document properties</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the core document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExtendedProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtendedProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.ExtendedProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.ExtendedProperties</a>&nbsp;getExtendedProperties()</pre>
                                <div class="block">Returns the extended document properties</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the extended document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCustomProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCustomProperties</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../org/apache/poi/ooxml/POIXMLProperties.CustomProperties.html"
                                        title="class in org.apache.poi.ooxml">POIXMLProperties.CustomProperties</a>&nbsp;getCustomProperties()</pre>
                                <div class="block">Returns the custom document properties</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the custom document properties</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getThumbnailPart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getThumbnailPart</h4>
                                <pre>protected&nbsp;<a href="../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;getThumbnailPart()</pre>
                                <div class="block">Returns the <a
                                        href="../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc"><code>PackagePart</code></a> for
                                    the Document
                                    Thumbnail, or <code>null</code> if there isn't one
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Document Thumbnail part or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getThumbnailFilename--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getThumbnailFilename</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getThumbnailFilename()</pre>
                                <div class="block">Returns the name of the Document thumbnail, eg
                                    <code>thumbnail.jpeg</code>, or <code>null</code> if there
                                    isn't one.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The thumbnail filename, or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getThumbnailImage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getThumbnailImage</h4>
                                <pre>public&nbsp;java.io.InputStream&nbsp;getThumbnailImage()
                                      throws java.io.IOException</pre>
                                <div class="block">Returns the Document thumbnail image data, or <code>null</code> if
                                    there isn't one.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The thumbnail data, or null</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if the thumbnail can't be read</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setThumbnail-java.lang.String-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setThumbnail</h4>
                                <pre>public&nbsp;void&nbsp;setThumbnail(java.lang.String&nbsp;filename,
                         java.io.InputStream&nbsp;imageData)
                  throws java.io.IOException</pre>
                                <div class="block">Sets the Thumbnail for the document, replacing any existing one.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>filename</code> - The filename for the thumbnail image, eg <code>thumbnail.jpg</code>
                                    </dd>
                                    <dd><code>imageData</code> - The inputstream to read the thumbnail image from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if the thumbnail can't be written</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>public&nbsp;void&nbsp;commit()
            throws java.io.IOException</pre>
                                <div class="block">Commit changes to the underlying OPC package</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if the properties can't be saved</dd>
                                    <dd><code><a href="../../../../org/apache/poi/ooxml/POIXMLException.html"
                                                 title="class in org.apache.poi.ooxml">POIXMLException</a></code> - if
                                        the properties are erroneous
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/POIXMLProperties.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLFactory.html" title="class in org.apache.poi.ooxml"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/ooxml/POIXMLProperties.CoreProperties.html"
               title="class in org.apache.poi.ooxml"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/ooxml/POIXMLProperties.html" target="_top">Frames</a></li>
        <li><a href="POIXMLProperties.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
